function COMPUTE_LAMBDA(x)

if( size(x, 2) > size(x, 1) )
   x = x';
end

interval = linspace(min(x), max(x), 100000);

n = length(x);

L_vals = cell(n, 1);

MAXI = 0;
MINI = 0;

summe = zeros(size(interval));

for i=1:n
   delta_ij = zeros(size(x));
   delta_ij(i) = 1;

   L_i = newton_erweitern([], x, delta_ij);
   L_vals{i} = newton_auswerten(L_i, interval);

   MAXI = max([MAXI, max(L_vals{i})]);
   MINI = min([MINI, min(L_vals{i})]);

   summe = summe + abs(L_vals{i});
end

LAMBDA = max(summe)

for i=1:n
   delta_ij = zeros(size(x));
   delta_ij(i) = 1;

   plot(x, delta_ij, 'bx', 'MarkerSize', 10');
   hold on;
   plot([min(x), max(x)], [0, 0], 'k-');
   plot(x(i), 1, 'bx', 'MarkerSize', 10, 'LineWidth', 3);
   plot([min(x), max(x)], [MINI, MAXI], 'w+');
   plot(interval, L_vals{i}, 'r-');
   hold off;
   waitforbuttonpress;
end

