function POLYPLAY(auto)

animate = 100;

if( nargin < 1 )
   auto = false;
end

done = false;

MAX_NEW = 100;

MIN_VAL = -10;
MAX_VAL = 10;

auto_maxpoints = 100;

act_new = 5;

interval = 0:0.01:10;

poly = [];
all_xs = [];
all_fs = [];

plot([min(interval), max(interval)], [MIN_VAL, MAX_VAL], 'k+');
title('Maus-Links = Neuer Punkt; Maus-Rechts = Plotten; Maus-Mitte = Ende');
hold on;

old_evals = zeros(size(interval));

while ~done

   if( auto )
      new_xs = rand(act_new, 1)*10;
      new_fs = the_func(new_xs);

      if( length(all_xs) > auto_maxpoints )
         break
      end
   else
      act_new = 0;
      new_xs = zeros(MAX_NEW, 1);
      new_fs = zeros(MAX_NEW, 1);

      right_click = false;

      while ~right_click
         [new_x, new_f, button] = ginput(1);

         if( button == 1 )
            act_new = act_new + 1;
            new_xs(act_new) = new_x;
            new_fs(act_new) = new_f;
         else
            right_click = true;
            if( button == 2 )
               done = true;
               break;
            end
         end
      end

      if( done )
         break
      end

      new_xs = new_xs(1:act_new);
      new_fs = new_fs(1:act_new);
   end

   all_xs = [all_xs; new_xs];
   all_fs = [all_fs; new_fs];

   hold off;
   plot([min(interval), max(interval)], [MIN_VAL, MAX_VAL], 'k+');
   if( auto )
      title(['Anzahl der Knoten = ', num2str(length(all_xs))]);
   else
      title('Maus-Links = Neuer Punkt; Maus-Rechts = Plotten; Maus-Mitte = Ende');
   end
   hold on;

   poly = newton_erweitern(poly, new_xs, new_fs);
   evals = newton_auswerten(poly, interval);

   handle = plot(interval, evals, 'r-', 'LineWidth', 2);
   plot(all_xs, all_fs, 'b+', 'MarkerSize', 15, 'LineWidth', 1);

   if( animate>0 )
      set(handle, 'YDataSource', 'act_evals');

      for alpha=0:(1/animate):1
         act_evals = alpha*evals + (1-alpha)*old_evals;
         act_evals = max(MIN_VAL, min(MAX_VAL, act_evals));
         refreshdata(handle, 'caller');
         drawnow;
      end
      pause(0.5);
   end

   old_evals = evals;
end

if( ~auto )
   close(gcf);
end

function y = the_func(x)

y = sin(x*2);
