function poly = newton_erweitern(poly, x, f)

if( isstruct(poly) && isfield(poly, 'divdif') && isfield(poly, 'all_x') )
   all_x = [poly.all_x; x];
   all_f = [poly.all_f; f];

else
   all_x = x;
   all_f = f;
end

[all_x, iperm] = sort(all_x, 1, 'ascend');
all_f = all_f(iperm);

n = length(all_x);

divdif = all_f;


for i=1:n-1
   for j=n:-1:(i+1)
      divdif(j) = (divdif(j-1)-divdif(j)) / (all_x(j-i)-all_x(j));
   end
end

poly.all_x = all_x;
poly.all_f = all_f;
poly.divdif = divdif;

